Index: share/man/man4/iwn.4
===================================================================
--- share/man/man4/iwn.4	(revision 253647)
+++ share/man/man4/iwn.4	(working copy)
@@ -111,6 +111,22 @@
 This driver requires the firmware built with the
 .Nm iwnfw
 module to work.
+.Sh SYSCTL VARIABLES
+.Bl -tag -width indent
+.It Va dev.iwn.%d.debug
+Define verbosity level for debugging information after boot and attachement.
+.Sh LOADER TUNABLES
+Tunables can be set at the
+.Xr loader 8
+prompt before booting the kernel or stored in
+.Pa /boot/loader.conf .
+This tunable also have a 
+.Xr sysctl 8
+entry for access after boot.
+.Bl -tag -width indent
+.It Va hint.iwn.%d.debug
+Define verbosity level for debugging information during boot process. %d is
+the unit number(typically 0). Default value is 0 (disabled).
 .Sh EXAMPLES
 Join an existing BSS network (i.e., connect to an access point):
 .Bd -literal -offset indent
Index: sys/amd64/conf/NOTES
===================================================================
--- sys/amd64/conf/NOTES	(revision 253647)
+++ sys/amd64/conf/NOTES	(working copy)
@@ -305,6 +305,7 @@
 device		ipw
 device		iwi
 device		iwn
+#hint.iwn.0.debug="0xFFFFFFFF"  # Level for early debug feature for iwn
 device		mwl
 device		nfe
 device		nve
Index: sys/i386/conf/NOTES
===================================================================
--- sys/i386/conf/NOTES	(revision 253647)
+++ sys/i386/conf/NOTES	(working copy)
@@ -599,6 +599,7 @@
 device		ipw
 device		iwi
 device		iwn
+#hint.iwn.0.debug="0xFFFFFFFF"	# Level for early debug feature for iwn
 # Hint for the i386-only ISA front-end of le(4).
 hint.le.0.at="isa"
 hint.le.0.port="0x280"
